Introduction
 Top Next

Total Uninstall™

Total Uninstall is a complete uninstaller which include two working modules.
Installed Programs module analyze existing installations and create a log with installation changes. It is able to uninstall programs even without the help of supplied Add/Remove program.
Monitored Programs module helps to monitor any changes made to your system during the installation of a new program. It allows you to perform a complete uninstall without having to rely on the supplied Add/Remove program which can leave files or changes behind.

Features
Accurate analyze existing installations and create a log with installation changes
Monitor changes from registry and file system for new installations
Completely and thoroughly uninstall analyzed or monitored programs
Organize in groups installed or monitored programs*
Find the program to uninstall by keyword quickly and easily
Summary and detailed information for each installed or monitored program
User configurable analysis and monitor profiles, views of the detected changes*
Detailed uninstall log
Powerful search in detected changes*
Stand-alone and low resource usage agent for notification of running installation programs*
Export registry for install or uninstall*
Export installed or monitored program list to file
Export to file or print detected changes*
View and apply pending file rename operations without restart

*Professional edition


Installed Programs module
 Previous Top Next
Analysis
Total Uninstall will list installed programs from your system. Selecting a program from list will start the analysis process. In a few seconds will show in the Changes page the registry and file system items detected for that program.

Uninstallation
In the first phase the supplied Add/Remove program is used if exists or if works.
After that, the detected changes during analysis are used to uninstall the left behind changes.


Monitored Programs module
Monitor the program installation
1. Before the program is installed Total Uninstall creates a snapshot of your system.
2. The installation procedure is done as usual.
3. A post-install snapshot is created and compared with the pre-install snapshot resulting the install log.

Uninstallation
Using detected changes Total Uninstall reverse the changes made by monitored program.


Installed Programs list
Installed Programs list
The list displays the installed programs on your computer. New installed programs since last run are highlighted and the System Components are colored in red. System Components are hidden by default.

Add program to list
You can add a program to list if you know the shortcut or executable location.


Analysis
The program is analyzed using the default analysis profile. If necessary, start manually an analysis using the appropriate profile.
The analysis must be refreshed before uninstallation.


Uninstall
The uninstaller that come with the installed program is started.
Total Uninstall will wait for it to finish the usual uninstall procedure.
If this uninstaller asks to reboot it should not be accepted.
Once the standard uninstall procedure is finished with success or not the Total Uninstall uses the install log to uninstall the left behind changes.


Configuration
Install locations
If you install programs in other folder that standard "Program Files" you should add it to the Install locations list.


Monitor installation
Pre-install system snapshot
Before installing a program a pre-install system snapshot must be created .

Installation
The setup program can be started by Total Uninstall or from Windows Explorer.
The installation procedure should be done as usual.
Accept the eventually system reboot request.
Total Uninstall will start after reboot to continue the monitoring process.
It's strongly recommended to run once the installed program before continuing with the next step.

Post-install system snapshot and install log
The post-install snapshot is created, then compared with the pre-install snapshot and the detected changes are saved in the install log.


Uninstall
Uninstall
Choose between available uninstall profiles:
Total Uninstall - perform all actions to uninstall the monitored program completely. This profile should not be used for programs that were already uninstalled (with Total Uninstall or with its own uninstaller).
Clean Up - will perform the necessary actions to uninstall completely a monitored program that was already uninstalled using its own uninstaller.

Shared files
Shared files are used to store program code or data that is supposed to be shared between two or more programs. The installers define a counter in registry to keep track of the number of programs that uses the same shared file.
Installers increment the shared file counter. Uninstallers decrease the counter for each uninstalled program that uses that shared file. The zero value for counter means that the file is no longer used and can be removed from system.
Like any uninstaller program Total Uninstall decrements the shared file counter and suggest to remove the shared files only if the counter reach zero.
The shared files are always deleted to Recycle Bin.

Delete items?
Before deleting a created folder or a registry key Total Uninstall checks if it is empty. Usually after deleting of all logged sub-items of a folder or of a registry key this should be empty. If not, means that there are items created after installation. The origin of the unexpected items cannot be detected or can contain some user valuable data so the user must decide what should happen with those items.
The dialog gives the user opportunity to keep and/or remove selectively items created after installation of the program.


Configuration
Scanning profile
-The default scanning profile will scanning only the system drive, usually C:. If you install programs on other drive you should add it to the scan include list.
-Add to exclude list folders that should not be scanned like folders containing documents

Ignore background changes
When monitoring the installation of a program in the system take place changes that has nothing to do with the installation. It's impossible to stop all running processes to get a clean install log. The solution is to ignore changes that occurs often in the system.

Total Uninstall must be configured using these steps:
1. Start the Install wizard and create the pre-install snapshot.
2. Without closing Total Uninstall use the computer as usual for a about an hour but do not install any program.
3. In the Install wizard enter a name for this dummy installation like "Items to ignore "
4. Finish the monitoring process
5. The detected changes are those that should be ignored in the future.
6. Using the right-click menu actions in the changes tree add the changes to the exclude/ignore lists.


Main window
The visibility of menu items or other controls depends on the current selected module. Only items that can be available in current module are shown.

The enable state of menu items or other controls depends of current program state. Only items that apply for current program state are enabled.


Main menu
File
Install new
Start the wizard to monitor an installation.

Install update
Start the wizard to monitor the update of the selected program.

Analyze
Analyze the selected program using default analysis profile.

Uninstall
Uninstall selected program.

Add program to list
Add a program to Installed Programs using executable.

Remove program from list
Enabled only program added manually.
This action will remove the selected program from list but will not be uninstalled.

Delete
Delete the log of selected monitored program.

Change Icon
Select another icon for current program.

Add Root Group
Add a root folder in the program list.

Add Child Group
Add a sub-folder in the current selected group.

Remove Group
Remove the selected group. The content is not deleted and is assigned to the parent group.

Move To Root
Move the selected group from the current parent to the root of the group tree.

Save
Save the modification from the current program log.

Import
Import installation logs from Total Uninstall 3 or 4

Print
Print the detected changes of the current application

Edit
Remove from Log
Remove the selected nodes and theirs sub-nodes from changes tree only.

Delete Completely
Delete the selected nodes and and theirs sub-nodes from changes tree and physically from file system or registry. Enabled only if in the current selection are created items that physically exist.

Delete from System Only
Delete physically the selected nodes and theirs sub-nodes from file system or registry. Enabled only if in the current selection are created items that physically exist.

Undo
Undo the selected changes from registry. Deleted registry items are recreated and modified registry values are restored.

Add to Scan Exclude List
Add the selected branch to all scanning profiles with the "Lock" option disabled.

Add to Compare Ignore List
Add the selected branch to all comparing profiles with the "Lock" option disabled.

Copy
Copy the current file to Clipboard.

Open
Depending of the type of selected node
- file - open file with the associated application
- folder - open the folder content in Explorer
- registry key - open the registry editor and jump to the key
- registry value - open the registry editor and jump to the parent key


Installed Programs panel
The panel contains a tree with all installed programs. Uninstalled applications using Total Uninstall are shown in a dimmed color and are discarded at refresh.


Monitored Programs panel
The panel contains a tree with monitored programs. The already uninstalled programs with Total Uninstall are shown in gray.


Changes

Detected changes
Detected changes made by monitored or analyzed program in a tree view. The content is according with the current applied view profile.

Detected changes

 Registry
 created key
 deleted key
 new value
 deleted value
modified value
 File system
 new folder
 deleted folder
 new file
 deleted file
 modified file - date time stamp or size
Services and devices
installed service or device


Search panel
Search field
The text or DOS mask that is searched in monitored or analyzed program(s) details.

Clear
Clear the search field and results list.

Registry and File system details
Checked item types that are included in search

Search in
- Selection - search only in selected programs or recursively in the selected groups depending
- All Applications - search in all available logs

Search mask
If this option is selected the text provided for search is treated as a mask.
If this option is not selected then the result must match exactly the searched text.


Pre-install system snapshot
Create a new system snapshot
A new system snapshot will be created before the installation.

Use last snapshot
The previous system snapshot can be used. Useful for successive monitored installations.
Note that the previous snapshot will determine the scanning profile used for the second snapshot.
If the previous snapshot doesn't exists or is too old this option is disabled.

Scanning profile
The used scanning profile to build the new snapshot or the scanning profile used to build the previous snapshot. If there is only one scanning profile defined then this option is not available.


Installation
Program name
Enter a friendly name for the monitored program. It will be used to reference the monitored program.
You can fill this field automatically using drag&drop from Explorer of the monitored setup program. Also other naming alternatives will be available in the drop-down box.

Suggest
Suggest a name for monitored program.

Program setup path
Full path of the monitored install program. This field is optional but must be supplied if you want to start the installation from the Total Uninstall interface.

Launch setup program
The installation process will be started.

Program is installed
The monitoring process will continue with the final step, post install snapshot and detection of the system changes.

Complete the monitor process later
The wizard will be closed.


Uninstall wizard
Uninstall Profile
The name and the description of the uninstall profile.

Launch
Launch the supplied Add/Remove program.

Uninstall
Uninstall program using the detected changes.


Remove shared file dialog
During uninstallation when a shared file is found that is no longer needed this dialog is shown.
The associated use counter reached zero which indicate that no program use it.
This kind of dialog is shown by all uninstallers because it is considered that the shared file use counter cannot be always trusted.
The user had to take the decision to delete the file or not.

Yes button
Delete the current shared file to Recycle Bin.

No button
The current shared file remain on the system.

Yes To All button
Delete all shared files to Recycle Bin.

No To All button
Keep all shared files on the system.


Delete items dialog
Dialog is shown when during uninstallation Total Uninstall find items created after installation of the monitored program.
The user must decide if those items should be deleted or not.
The checked items from the displayed tree will be uninstalled (deleted).
By default, the items are not selected for removal.

Select All button
Select all items for deletions

Unselect All button
Uncheck all items to remain on the system.

OK button
Continue uninstallation. Checked items will be deleted.


Preferences
Text Viewer
Used to display file content when calling the "Text View" for files in Changes tree context menu.

Hex Viewer
Used to display file content when calling the Hex View" for files in Changes tree context menu.

Registry Editor
Is called to open a key from changes tree.
To use your registry editor provide the path and command line switches.
%key% is replaced with the registry key path enclosed in double quoted
%keyx% is replaced with the registry key path


Installed programs
Show updates
Show updates as children items under the corresponding program name.

Show system components
System Components are shown in red in the Installed Programs list.


Analysis profiles
Install locations
Install locations different than the standard "Program Files".


Monitored programs
Auto-start with Windows to continue unfinished monitoring process
When the install wizard is closed after preinstall snapshot creation or a restart is detected Total Uninstall will add an entry in the registry to be automatically started after system reboot. Total Uninstall will offer you to continue the monitoring process.

Integrate Total Uninstall into shell
"Monitor with Total Uninstall" will be added in Windows Explorer context menu for .exe and .msi files. Using this action Total Uninstall will be started ready to begin the monitoring process.

Allow Custom Snapshot Name
If this option is selected you will be able to enter a name for each system snapshot created in the Install wizard.


Agent
Enable Total Uninstall Agent
Enable a stand-alone program that notify you if an install program is started.

Masks for setup program file name
File name masks for installation programs. Standard DOS wildcards * and ? can be used.


Scanning profiles
Add
Add a scanning profile to the options tree.

Remove
Show a list with scanning profiles that can be deleted.

Snapshots count
Limit the number of the system snapshots stored in the Snapshots folder. The older snapshots will be deleted when a new snapshot is created to maintain the count.

Folder size
Limit the folder size with system snapshots. The oldest snapshot will be deleted when a new snapshot is created to maintain the folder size limit.

File extensions with version information
For scanning profiles with the option to include file Version information this list of extensions will be used to limit the number of files queried for version information.


Scanning profile
Locked
If this option is selected the "Add to scan exclude list" action from changes tree will ignore this scanning profile.
This is useful when you want fixed scanning profiles and also others with the exclude list open to additions from changes tree.

Default
Make the current profile default.

Include keys
Registry keys scanned

Exclude keys
This is the list of registry keys that will be skipped when scanning with this profile.
Items in this list are added from changes tree with command "Add to Scan Exclude List". The profile must have the "Lock" property turned off in this case.

Include folders
The list with the Folders or Drives that will be scanned.

Exclude folders
Folders skipped when scanning.
Items in this list are added from changes tree with command "Add to Scan Exclude List". The profile must have the "Lock" property turned off in this case.

Version
Include file version information of the scanned files in the snapshot.
This will increase the time needed to build the snapshot several times and is useful in rare cases.
Normally you don't need to activate this option.


Comparing profile
Locked
If this option is selected the "Add to compare ignore list" action from changes tree will ignore this comparing profile.
This is useful when you want fixed comparing profiles and also others with the ignore list open to additions from changes tree.

Default
Make the current profile default. The default profile has this option disabled.

Compare registry
Activate comparing of the registry keys and values from snapshots.

Ignore Keys and Values
This is the list of the registry keys and values that will be ignored when comparing with this profile.
Items in this list are added from changes tree with command "Add to Compare Ignore List". The profile must have the "Lock" property turned off in this case.

Compare files
Activate comparing of the files and folders from snapshots.

Compute MD5 for New Files
Compute MD5 for created Files

Ignore Folders and Files
This is the list of the folders and files that will be ignored when comparing with this profile.
Items in this list are added from changes tree with command "Add to Compare Ignore List". The profile must have the "Lock" property turned off in this case.


Change view
Before Column
Show the column that displays the details of the detected changes before the installation.

After Column
Show the column that displays the details of the detected changes after the installation.

Current Column
Show the column that displays the current details of the detected changes.

Existing Items in System
When the changes are displayed in the tree the items are tested if exists in system. If the item is found the following display options can be applied:
- Show Normal
- Hide
- Highlight Text - the text is drawn with a custom color
- Dim Icon
- Dim Icon and Highlight Text

Missing Items from System
When the changes are displayed in the tree the items are tested if exists in system. If the item is not found the following display options can be applied:
- Show Normal
- Hide
- Highlight Text - the text is drawn with a custom color
- Dim Icon
- Dim Icon and Highlight Text

Display Binary Data as Text
If this option is off, the registry binary data is displayed using hexadecimal notation. This is an exact representation but for an unexperienced user displaying in this way the data has no meaning.
If this option is on, the binary data is displayed as text even it's type indicate that the data doesn't contain a text.

File Version
Show the file version if the file contains the version information and in the same time the option to extract file version was selected in the used scanning profile.

New File MD5 Sum
Show the computed MD5 sum for created file.


Uninstall profile
Delete created keys
For keys that still contain sub-keys after all detected new sub-keys are removed a dialog is shown to confirm the deletion of the remaining sub-keys from the not empty key.

Decrease shared file counter
Shared file counter is a registry value that indicate the number of installed applications that needs that shared file. A values less than one indicates that the file is not needed anymore and can be deleted from system without any harm. It is possible that sometimes the containing value for some counters not to be correct because of some bad installers or uninstallers.
If the value reach zero or less the value is removed. Also the associated shared file is made candidate for removing. The user is asked with a standard dialog if wants to keep or remove the shared file.

Use Recycle Bin
Files are moved to Recycle Bin (slower).

Delete created folders
For folders that still contain files after all detected new files are removed a dialog is shown to confirm the deletion of the remaining files from the not empty folder.

Remove uninstalled application from list
The information associated with monitored uninstalled application is removed or not depending of this option when uninstalling process is complete.

Ignore missing items
If during uninstall there are files, folders, registry values, registry keys missing no entry will be added to the uninstall log.

Use first the supplied uninstaller
The first step in the uninstall process will be launching the supplied Add/Remove program.


Web updates
Check Updates Method
The available options are:
Manual - Total Uninstall don't try to check for updates

Reminder - When the "Frequency" period has passed from the previous check a icon will be shown in the application status bar [image] .
Automatic - when the "Frequency" period has passed from the previous check Total Uninstall will connect to the Total Uninstall site and verify if there are new updates or news on the site. If yes, in the status bar of the application the following icon will be shown [image] .

Frequency
Change the value of this control to change the frequency with which Total Uninstall will remind you to check for updates or check automatically on the web site for product updates .


Pending file rename operations
During installation or uninstallation of programs the files and folders that are in use cannot be deleted, replaced or renamed. These operations are queued for the next Windows startup.
The dialog shows a list of operations that are queued for the next Windows start up.
There can be two types of operations in the list and a different icon is shown in the destination column:
 file or folder queued to be deleted
 file queued to be moved

The "Apply" button retry the pending file rename operations. In the most of the cases the operations are executed successfully because the files in questions are no longer in use.
In this way you can avoid an unnecessary system restart.
The pending file rename operations that fail are shown in red color and the successfully applied operations are removed from the list.


Check for updates
Check For Updates dialog
When the dialog is open this will show the information that was already retrieved in a previous check for updates session. To get the latest updates you have to press the "Refresh" button.

Important note about privacy
Total Uninstall will connect to the author web site to check for product updates. The following information is sent to server:
· Product Code
· Registration Name (only for registered users)
· Registration Key (only for registered users)
· Product version
· Computer ID (a unique number generated at the first use of the program)
· Current interface language
· Update method
· Operating system version
· Operating system platform


Purchasing and registration
Purchasing
Total Uninstall is available for evaluation for a period of 30 days. You can buy the application online.

Registration
Please fill in the exact values as you received by email.


Technical support

Previous Top
1. Download and install the latest version

2. Check the forum to see if your question is already answered.

3. Send technical support requests to support@martau.com

Copyright
© 2001 - 2008, Gavrila Martau, Romania